Package twisted :: Package internet :: Module base :: Class BCFactory

[show private | hide private]
[frames | no frames]

## Class BCFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   BCFactory

Factory for backwards compatability with old clientXXX APIs.

Method Summary
| `__init__(self, protocol)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed.
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost. (inherited from `ClientFactory`)
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| `loseConnection(self)`
| ``startedConnecting`(self, connector)` Called when a connection has been started.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

### clientConnectionFailed(self, connector, reason)

Called when a connection has failed.

It may be useful to call connector.connect() - this will reconnect.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.ClientFactory.clientConnectionFailed` (inherited documentation)

### startedConnecting(self, connector)

Called when a connection has been started.

You can call connector.stopConnecting() to stop the connection attempt.

  Parameters:
    `connector` - a Connector object.
  Overrides:
    `twisted.internet.protocol.ClientFactory.startedConnecting` (inherited documentation)

Generated by Epydoc 1.1 on Sat Feb 15 21:19:03 2003 | http://epydoc.sf.net